Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
product-configs
List product configurations
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/product-configs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/product-configs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/product-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": false,
  "data": [
    {
      "id": "507f1f77bcf86cd799439011",
      "environment": "PRODUCTION",
      "created_at": "2024-01-15T10:30:00.000Z",
      "active": true,
      "product_id": "507f1f77bcf86cd799439001",
      "region": "us-east"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
per_page
integer
default:100

Items per page (default: 100, max: 100)

Required range: 1 <= x <= 100
sort
string

Sorting field with optional suffix order (:asc or :desc). Use response property names. Valid fields: id, environment, created_at, active, product_id, region. Example: "product_id:asc" or "created_at:desc"

fields
string

Comma-separated list of fields to include in each product configuration item. Selectable fields: id, environment, created_at, active, product_id, region. The field id is always included.

Maximum string length: 2048
filters
string

Filter product configurations by one or more criteria. Provide a JSON object with filter conditions. You can filter by any field returned in the response. Use comparison operators (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) and combine multiple conditions with logical operators (and, or). Maximum length: 5120 characters.

Maximum string length: 5120

Response

Paginated list of product configurations successfully retrieved.

has_next
boolean
required

Indicates if there are more pages available

data
object[]
required